package com.fanruan.hihidata.datasource.server;

import com.fanruan.hihidata.datasource.server.http.HttpKits;

import java.io.File;

/**
 * @author richie
 * Created by richie on 2022/9/16
 */
public class ServerApplication {

    public static void main(String... args) throws Exception {
        Authentication authentication;
        if (args.length > 1) {
            authentication = new Authentication(args[0], args[1]);
        } else {
            authentication = new Authentication("#key", "#secret");
        }
        DatasourceOperation operation = new DatasourceOperation(authentication);

        String groupId = operation.createGroup("我的分组");

        String tableId = operation.createTable("地区数据", groupId);

        // 获取给该表提供数据的文件的上传地址
        String fileUploadUrl = operation.requestUploadUrl(tableId);
        // 将数据文件上传
        HttpKits.upload(fileUploadUrl, new File(System.getProperty("user.dir") + "/data/地区数据分析.csv"));
        // 标记该表的数据已经上传完成
        operation.markAsFinish(tableId);
    }
}
